package webapps.ajax1.servlets;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;
import java.sql.*;
import java.util.*;
import java.io.*;
import webapps.ajax1.entities.*;
import webapps.ajax1.model.*;
import java.text.*;

/**
 * Ejemplo de manejo de sesiones en servlet 3.0
 * @author G. Cherencio
 */
@WebServlet(name = "LoginServlet", urlPatterns = {"/login"})
public class LoginServlet extends HttpServlet {

    private static FBCon fb0 = FBCon.getFBCon(0);

    /**
     * Processes requests for both HTTP
     * <code>GET</code> and
     * <code>POST</code> methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        response.setContentType("text/html");
        String usr = request.getParameter("usuario");
        String pwd = request.getParameter("pwd");
         
        PrintWriter out = response.getWriter();
        
        try {
            
            ResultSet rs = fb0.getResultSet("SELECT NAME FROM TBL_USER WHERE USERNAME = '"+usr+"' AND PASSWORD = '"+pwd+"'");
            if ( rs.next() ) {
                String name = rs.getString("name");
                if ( name != null ) {
                    // login satisfactorio!!
                    fb0.close(rs);
                    HttpSession session = request.getSession(true); // crea sesion de usuario
                    session.setAttribute("user_name",name);
                    response.sendRedirect("ajaxlogged.html");
                }
            }
            fb0.close(rs);
        } catch(java.sql.SQLException e) {
        }
        // PAGINA HTML DE ERROR
        out.print("<HTML><HEAD><script>function goBack(){window.history.back();}</script></HEAD>");
        out.print("<BODY><p>Usuario ["+usr+"] desconocido!, no puede ingresar al sistema!.</p>");
        out.print("<button onclick='goBack()'>Volver</button>");
        out.print("</BODY></HTML>");
        out.close();
    }
    
    
    /**
     * Handles the HTTP
     * <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP
     * <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
